Source: golang-rsc-binaryregexp
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Anthony Fok <foka@debian.org>
Section: devel
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-golang,
               golang-any
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-rsc-binaryregexp
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-rsc-binaryregexp.git
Homepage: https://github.com/rsc/binaryregexp
Rules-Requires-Root: no
XS-Go-Import-Path: rsc.io/binaryregexp

Package: golang-rsc-binaryregexp-dev
Architecture: all
Depends: ${misc:Depends}
Description: Go regexp for binary/latin-1 data
 Go package regexp implements regular expression search.
 .
 The syntax of the regular expressions accepted is the same general syntax
 used by Perl, Python, and other languages.  More precisely, it is the
 syntax accepted by RE2 and described at https://golang.org/s/re2syntax,
 except for \C. For an overview of the syntax, run
 .
     go doc regexp/syntax
 .
 The regexp implementation provided by this package is guaranteed
 to run in time linear in the size of the input.  (This is a property
 not guaranteed by most open source implementations of regular
 expressions.)  For more information about this property, see
 .
     https://swtch.com/~rsc/regexp/regexp1.html
 .
 or any book about automata theory.
 .
 All characters are UTF-8-encoded code points.
